/*
 * Internal module API header file.
 *
 * Generated by SIP 6.6.2
 *
 * Copyright (c) 2022 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQtWebEngine.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebEngineCoreAPI_H
#define _QtWebEngineCoreAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_TIMELINE_QtWebEngine_5_15_0
#define SIP_FEATURE_PyQt_CONSTEXPR
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11
#define SIP_TIMELINE_Qt_5_15_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QWebEngineRegisterProtocolHandlerRequest 0
#define sipName_QWebEngineRegisterProtocolHandlerRequest &sipStrings_QtWebEngineCore[0]
#define sipNameNr_QWebEngineUrlRequestInfo__NavigationType 41
#define sipName_QWebEngineUrlRequestInfo__NavigationType &sipStrings_QtWebEngineCore[41]
#define sipNameNr_QWebEngineUrlRequestInfo__ResourceType 82
#define sipName_QWebEngineUrlRequestInfo__ResourceType &sipStrings_QtWebEngineCore[82]
#define sipNameNr_ResourceTypeNavigationPreloadMainFrame 121
#define sipName_ResourceTypeNavigationPreloadMainFrame &sipStrings_QtWebEngineCore[121]
#define sipNameNr_ResourceTypeNavigationPreloadSubFrame 160
#define sipName_ResourceTypeNavigationPreloadSubFrame &sipStrings_QtWebEngineCore[160]
#define sipNameNr_QWebEngineCookieStore__FilterRequest 198
#define sipName_QWebEngineCookieStore__FilterRequest &sipStrings_QtWebEngineCore[198]
#define sipNameNr_QWebEngineClientCertificateStore 235
#define sipName_QWebEngineClientCertificateStore &sipStrings_QtWebEngineCore[235]
#define sipNameNr_QWebEngineUrlScheme__SpecialPort 268
#define sipName_QWebEngineUrlScheme__SpecialPort &sipStrings_QtWebEngineCore[268]
#define sipNameNr_QWebEngineUrlRequestInterceptor 301
#define sipName_QWebEngineUrlRequestInterceptor &sipStrings_QtWebEngineCore[301]
#define sipNameNr_QWebEngineUrlRequestJob__Error 333
#define sipName_QWebEngineUrlRequestJob__Error &sipStrings_QtWebEngineCore[333]
#define sipNameNr_QWebEngineHttpRequest__Method 364
#define sipName_QWebEngineHttpRequest__Method &sipStrings_QtWebEngineCore[364]
#define sipNameNr_ContentSecurityPolicyIgnored 394
#define sipName_ContentSecurityPolicyIgnored &sipStrings_QtWebEngineCore[394]
#define sipNameNr_NavigationTypeFormSubmitted 423
#define sipName_NavigationTypeFormSubmitted &sipStrings_QtWebEngineCore[423]
#define sipNameNr_451 451
#define sipName_451 &sipStrings_QtWebEngineCore[451]
#define sipNameNr_QWebEngineUrlScheme__Syntax 479
#define sipName_QWebEngineUrlScheme__Syntax &sipStrings_QtWebEngineCore[479]
#define sipNameNr_HostPortAndUserInformation 507
#define sipName_HostPortAndUserInformation &sipStrings_QtWebEngineCore[507]
#define sipNameNr_QWebEngineUrlScheme__Flags 534
#define sipName_QWebEngineUrlScheme__Flags &sipStrings_QtWebEngineCore[534]
#define sipNameNr_QWebEngineUrlSchemeHandler 561
#define sipName_QWebEngineUrlSchemeHandler &sipStrings_QtWebEngineCore[561]
#define sipNameNr_ResourceTypePluginResource 588
#define sipName_ResourceTypePluginResource &sipStrings_QtWebEngineCore[588]
#define sipNameNr_NavigationTypeBackForward 615
#define sipName_NavigationTypeBackForward &sipStrings_QtWebEngineCore[615]
#define sipNameNr_QWebEngineUrlScheme__Flag 641
#define sipName_QWebEngineUrlScheme__Flag &sipStrings_QtWebEngineCore[641]
#define sipNameNr_ResourceTypeServiceWorker 667
#define sipName_ResourceTypeServiceWorker &sipStrings_QtWebEngineCore[667]
#define sipNameNr_693 693
#define sipName_693 &sipStrings_QtWebEngineCore[693]
#define sipNameNr_QWebEngineFindTextResult 718
#define sipName_QWebEngineFindTextResult &sipStrings_QtWebEngineCore[718]
#define sipNameNr_QWebEngineUrlRequestInfo 743
#define sipName_QWebEngineUrlRequestInfo &sipStrings_QtWebEngineCore[743]
#define sipNameNr_ResourceTypeFontResource 768
#define sipName_ResourceTypeFontResource &sipStrings_QtWebEngineCore[768]
#define sipNameNr_ResourceTypeSharedWorker 793
#define sipName_ResourceTypeSharedWorker &sipStrings_QtWebEngineCore[793]
#define sipNameNr_QWebEngineUrlRequestJob 818
#define sipName_QWebEngineUrlRequestJob &sipStrings_QtWebEngineCore[818]
#define sipNameNr_ResourceTypeSubResource 842
#define sipName_ResourceTypeSubResource &sipStrings_QtWebEngineCore[842]
#define sipNameNr_NavigationTypeRedirect 866
#define sipName_NavigationTypeRedirect &sipStrings_QtWebEngineCore[866]
#define sipNameNr_QWebEngineNotification 889
#define sipName_QWebEngineNotification &sipStrings_QtWebEngineCore[889]
#define sipNameNr_QWebEngineQuotaRequest 912
#define sipName_QWebEngineQuotaRequest &sipStrings_QtWebEngineCore[912]
#define sipNameNr_ResourceTypeStylesheet 935
#define sipName_ResourceTypeStylesheet &sipStrings_QtWebEngineCore[935]
#define sipNameNr_PyQt5_QtWebEngineCore 958
#define sipName_PyQt5_QtWebEngineCore &sipStrings_QtWebEngineCore[958]
#define sipNameNr_980 980
#define sipName_980 &sipStrings_QtWebEngineCore[980]
#define sipNameNr_QWebEngineCookieStore 1002
#define sipName_QWebEngineCookieStore &sipStrings_QtWebEngineCore[1002]
#define sipNameNr_QWebEngineHttpRequest 1024
#define sipName_QWebEngineHttpRequest &sipStrings_QtWebEngineCore[1024]
#define sipNameNr_ResourceTypeCspReport 1046
#define sipName_ResourceTypeCspReport &sipStrings_QtWebEngineCore[1046]
#define sipNameNr_ResourceTypeMainFrame 1068
#define sipName_ResourceTypeMainFrame &sipStrings_QtWebEngineCore[1068]
#define sipNameNr_ServiceWorkersAllowed 1090
#define sipName_ServiceWorkersAllowed &sipStrings_QtWebEngineCore[1090]
#define sipNameNr_NavigationTypeReload 1112
#define sipName_NavigationTypeReload &sipStrings_QtWebEngineCore[1112]
#define sipNameNr_ResourceTypePrefetch 1133
#define sipName_ResourceTypePrefetch &sipStrings_QtWebEngineCore[1133]
#define sipNameNr_ResourceTypeSubFrame 1154
#define sipName_ResourceTypeSubFrame &sipStrings_QtWebEngineCore[1154]
#define sipNameNr_deleteSessionCookies 1175
#define sipName_deleteSessionCookies &sipStrings_QtWebEngineCore[1175]
#define sipNameNr_NavigationTypeOther 1196
#define sipName_NavigationTypeOther &sipStrings_QtWebEngineCore[1196]
#define sipNameNr_NavigationTypeTyped 1216
#define sipName_NavigationTypeTyped &sipStrings_QtWebEngineCore[1216]
#define sipNameNr_1236 1236
#define sipName_1236 &sipStrings_QtWebEngineCore[1236]
#define sipNameNr_QWebEngineUrlScheme 1256
#define sipName_QWebEngineUrlScheme &sipStrings_QtWebEngineCore[1256]
#define sipNameNr_ResourceTypeFavicon 1276
#define sipName_ResourceTypeFavicon &sipStrings_QtWebEngineCore[1276]
#define sipNameNr_ResourceTypeUnknown 1296
#define sipName_ResourceTypeUnknown &sipStrings_QtWebEngineCore[1296]
#define sipNameNr_LocalAccessAllowed 1316
#define sipName_LocalAccessAllowed &sipStrings_QtWebEngineCore[1316]
#define sipNameNr_NavigationTypeLink 1335
#define sipName_NavigationTypeLink &sipStrings_QtWebEngineCore[1335]
#define sipNameNr_ResourceTypeObject 1354
#define sipName_ResourceTypeObject &sipStrings_QtWebEngineCore[1354]
#define sipNameNr_ResourceTypeScript 1373
#define sipName_ResourceTypeScript &sipStrings_QtWebEngineCore[1373]
#define sipNameNr_ResourceTypeWorker 1392
#define sipName_ResourceTypeWorker &sipStrings_QtWebEngineCore[1392]
#define sipNameNr_ResourceTypeImage 1411
#define sipName_ResourceTypeImage &sipStrings_QtWebEngineCore[1411]
#define sipNameNr_ResourceTypeMedia 1429
#define sipName_ResourceTypeMedia &sipStrings_QtWebEngineCore[1429]
#define sipNameNr_ViewSourceAllowed 1447
#define sipName_ViewSourceAllowed &sipStrings_QtWebEngineCore[1447]
#define sipNameNr_sip_simplewrapper 1465
#define sipName_sip_simplewrapper &sipStrings_QtWebEngineCore[1465]
#define sipNameNr_ResourceTypePing 1483
#define sipName_ResourceTypePing &sipStrings_QtWebEngineCore[1483]
#define sipNameNr_deleteAllCookies 1500
#define sipName_deleteAllCookies &sipStrings_QtWebEngineCore[1500]
#define sipNameNr_disconnectNotify 1517
#define sipName_disconnectNotify &sipStrings_QtWebEngineCore[1517]
#define sipNameNr_interceptRequest 1534
#define sipName_interceptRequest &sipStrings_QtWebEngineCore[1534]
#define sipNameNr_NoAccessAllowed 1551
#define sipName_NoAccessAllowed &sipStrings_QtWebEngineCore[1551]
#define sipNameNr_PortUnspecified 1567
#define sipName_PortUnspecified &sipStrings_QtWebEngineCore[1567]
#define sipNameNr_ResourceTypeXhr 1583
#define sipName_ResourceTypeXhr &sipStrings_QtWebEngineCore[1583]
#define sipNameNr_numberOfMatches 1599
#define sipName_numberOfMatches &sipStrings_QtWebEngineCore[1599]
#define sipNameNr_setCookieFilter 1615
#define sipName_setCookieFilter &sipStrings_QtWebEngineCore[1615]
#define sipNameNr_NavigationType 67
#define sipName_NavigationType &sipStrings_QtWebEngineCore[67]
#define sipNameNr_RequestAborted 1631
#define sipName_RequestAborted &sipStrings_QtWebEngineCore[1631]
#define sipNameNr_filterCallback 1646
#define sipName_filterCallback &sipStrings_QtWebEngineCore[1646]
#define sipNameNr_loadAllCookies 1661
#define sipName_loadAllCookies &sipStrings_QtWebEngineCore[1661]
#define sipNameNr_navigationType 1676
#define sipName_navigationType &sipStrings_QtWebEngineCore[1676]
#define sipNameNr_registerScheme 1691
#define sipName_registerScheme &sipStrings_QtWebEngineCore[1691]
#define sipNameNr_requestHeaders 1706
#define sipName_requestHeaders &sipStrings_QtWebEngineCore[1706]
#define sipNameNr_requestStarted 1721
#define sipName_requestStarted &sipStrings_QtWebEngineCore[1721]
#define sipNameNr_setDefaultPort 1736
#define sipName_setDefaultPort &sipStrings_QtWebEngineCore[1736]
#define sipNameNr_FilterRequest 221
#define sipName_FilterRequest &sipStrings_QtWebEngineCore[221]
#define sipNameNr_RequestDenied 1751
#define sipName_RequestDenied &sipStrings_QtWebEngineCore[1751]
#define sipNameNr_RequestFailed 1765
#define sipName_RequestFailed &sipStrings_QtWebEngineCore[1765]
#define sipNameNr_connectNotify 1520
#define sipName_connectNotify &sipStrings_QtWebEngineCore[1520]
#define sipNameNr_cookieRemoved 1779
#define sipName_cookieRemoved &sipStrings_QtWebEngineCore[1779]
#define sipNameNr_firstPartyUrl 1793
#define sipName_firstPartyUrl &sipStrings_QtWebEngineCore[1793]
#define sipNameNr_requestMethod 1807
#define sipName_requestMethod &sipStrings_QtWebEngineCore[1807]
#define sipNameNr_requestedSize 1821
#define sipName_requestedSize &sipStrings_QtWebEngineCore[1821]
#define sipNameNr_setHttpHeader 1835
#define sipName_setHttpHeader &sipStrings_QtWebEngineCore[1835]
#define sipNameNr_ResourceType 108
#define sipName_ResourceType &sipStrings_QtWebEngineCore[108]
#define sipNameNr_SecureScheme 1849
#define sipName_SecureScheme &sipStrings_QtWebEngineCore[1849]
#define sipNameNr_certificates 1862
#define sipName_certificates &sipStrings_QtWebEngineCore[1862]
#define sipNameNr_deleteCookie 1875
#define sipName_deleteCookie &sipStrings_QtWebEngineCore[1875]
#define sipNameNr_resourceType 1888
#define sipName_resourceType &sipStrings_QtWebEngineCore[1888]
#define sipNameNr_schemeByName 1901
#define sipName_schemeByName &sipStrings_QtWebEngineCore[1901]
#define sipNameNr_CorsEnabled 1914
#define sipName_CorsEnabled &sipStrings_QtWebEngineCore[1914]
#define sipNameNr_HostAndPort 1926
#define sipName_HostAndPort &sipStrings_QtWebEngineCore[1926]
#define sipNameNr_LocalScheme 1938
#define sipName_LocalScheme &sipStrings_QtWebEngineCore[1938]
#define sipNameNr_SpecialPort 289
#define sipName_SpecialPort &sipStrings_QtWebEngineCore[289]
#define sipNameNr_UrlNotFound 1950
#define sipName_UrlNotFound &sipStrings_QtWebEngineCore[1950]
#define sipNameNr_activeMatch 1962
#define sipName_activeMatch &sipStrings_QtWebEngineCore[1962]
#define sipNameNr_cookieAdded 1974
#define sipName_cookieAdded &sipStrings_QtWebEngineCore[1974]
#define sipNameNr_customEvent 1986
#define sipName_customEvent &sipStrings_QtWebEngineCore[1986]
#define sipNameNr_defaultPort 1998
#define sipName_defaultPort &sipStrings_QtWebEngineCore[1998]
#define sipNameNr_eventFilter 2010
#define sipName_eventFilter &sipStrings_QtWebEngineCore[2010]
#define sipNameNr_postRequest 2022
#define sipName_postRequest &sipStrings_QtWebEngineCore[2022]
#define sipNameNr_setPostData 2034
#define sipName_setPostData &sipStrings_QtWebEngineCore[2034]
#define sipNameNr_unsetHeader 2046
#define sipName_unsetHeader &sipStrings_QtWebEngineCore[2046]
#define sipNameNr_UrlInvalid 2058
#define sipName_UrlInvalid &sipStrings_QtWebEngineCore[2058]
#define sipNameNr___invert__ 2069
#define sipName___invert__ &sipStrings_QtWebEngineCore[2069]
#define sipNameNr_childEvent 2080
#define sipName_childEvent &sipStrings_QtWebEngineCore[2080]
#define sipNameNr_requestUrl 2091
#define sipName_requestUrl &sipStrings_QtWebEngineCore[2091]
#define sipNameNr_thirdParty 2102
#define sipName_thirdParty &sipStrings_QtWebEngineCore[2102]
#define sipNameNr_timerEvent 2113
#define sipName_timerEvent &sipStrings_QtWebEngineCore[2113]
#define sipNameNr___index__ 2124
#define sipName___index__ &sipStrings_QtWebEngineCore[2124]
#define sipNameNr_direction 2134
#define sipName_direction &sipStrings_QtWebEngineCore[2134]
#define sipNameNr_hasHeader 2144
#define sipName_hasHeader &sipStrings_QtWebEngineCore[2144]
#define sipNameNr_initiator 2154
#define sipName_initiator &sipStrings_QtWebEngineCore[2154]
#define sipNameNr_setCookie 2164
#define sipName_setCookie &sipStrings_QtWebEngineCore[2164]
#define sipNameNr_setHeader 2048
#define sipName_setHeader &sipStrings_QtWebEngineCore[2048]
#define sipNameNr_setMethod 2174
#define sipName_setMethod &sipStrings_QtWebEngineCore[2174]
#define sipNameNr_setSyntax 2184
#define sipName_setSyntax &sipStrings_QtWebEngineCore[2184]
#define sipNameNr___bool__ 2194
#define sipName___bool__ &sipStrings_QtWebEngineCore[2194]
#define sipNameNr___hash__ 2203
#define sipName___hash__ &sipStrings_QtWebEngineCore[2203]
#define sipNameNr___iand__ 2212
#define sipName___iand__ &sipStrings_QtWebEngineCore[2212]
#define sipNameNr___ixor__ 2221
#define sipName___ixor__ &sipStrings_QtWebEngineCore[2221]
#define sipNameNr_language 2230
#define sipName_language &sipStrings_QtWebEngineCore[2230]
#define sipNameNr_postData 2239
#define sipName_postData &sipStrings_QtWebEngineCore[2239]
#define sipNameNr_redirect 2248
#define sipName_redirect &sipStrings_QtWebEngineCore[2248]
#define sipNameNr_setFlags 2257
#define sipName_setFlags &sipStrings_QtWebEngineCore[2257]
#define sipNameNr_NoError 2266
#define sipName_NoError &sipStrings_QtWebEngineCore[2266]
#define sipNameNr___and__ 2274
#define sipName___and__ &sipStrings_QtWebEngineCore[2274]
#define sipNameNr___int__ 2282
#define sipName___int__ &sipStrings_QtWebEngineCore[2282]
#define sipNameNr___ior__ 2290
#define sipName___ior__ &sipStrings_QtWebEngineCore[2290]
#define sipNameNr___xor__ 2298
#define sipName___xor__ &sipStrings_QtWebEngineCore[2298]
#define sipNameNr_headers 2306
#define sipName_headers &sipStrings_QtWebEngineCore[2306]
#define sipNameNr_matches 2314
#define sipName_matches &sipStrings_QtWebEngineCore[2314]
#define sipNameNr_message 2322
#define sipName_message &sipStrings_QtWebEngineCore[2322]
#define sipNameNr_setName 2330
#define sipName_setName &sipStrings_QtWebEngineCore[2330]
#define sipNameNr_Method 387
#define sipName_Method &sipStrings_QtWebEngineCore[387]
#define sipNameNr_Syntax 500
#define sipName_Syntax &sipStrings_QtWebEngineCore[500]
#define sipNameNr___eq__ 2338
#define sipName___eq__ &sipStrings_QtWebEngineCore[2338]
#define sipNameNr___ne__ 2345
#define sipName___ne__ &sipStrings_QtWebEngineCore[2345]
#define sipNameNr___or__ 2352
#define sipName___or__ &sipStrings_QtWebEngineCore[2352]
#define sipNameNr_accept 2359
#define sipName_accept &sipStrings_QtWebEngineCore[2359]
#define sipNameNr_closed 2366
#define sipName_closed &sipStrings_QtWebEngineCore[2366]
#define sipNameNr_header 2373
#define sipName_header &sipStrings_QtWebEngineCore[2373]
#define sipNameNr_method 2380
#define sipName_method &sipStrings_QtWebEngineCore[2380]
#define sipNameNr_origin 2387
#define sipName_origin &sipStrings_QtWebEngineCore[2387]
#define sipNameNr_parent 2394
#define sipName_parent &sipStrings_QtWebEngineCore[2394]
#define sipNameNr_reject 2401
#define sipName_reject &sipStrings_QtWebEngineCore[2401]
#define sipNameNr_remove 2408
#define sipName_remove &sipStrings_QtWebEngineCore[2408]
#define sipNameNr_scheme 2415
#define sipName_scheme &sipStrings_QtWebEngineCore[2415]
#define sipNameNr_setUrl 2422
#define sipName_setUrl &sipStrings_QtWebEngineCore[2422]
#define sipNameNr_syntax 2429
#define sipName_syntax &sipStrings_QtWebEngineCore[2429]
#define sipNameNr_Error 358
#define sipName_Error &sipStrings_QtWebEngineCore[358]
#define sipNameNr_Flags 555
#define sipName_Flags &sipStrings_QtWebEngineCore[555]
#define sipNameNr_block 2436
#define sipName_block &sipStrings_QtWebEngineCore[2436]
#define sipNameNr_clear 2442
#define sipName_clear &sipStrings_QtWebEngineCore[2442]
#define sipNameNr_click 2448
#define sipName_click &sipStrings_QtWebEngineCore[2448]
#define sipNameNr_close 2454
#define sipName_close &sipStrings_QtWebEngineCore[2454]
#define sipNameNr_event 2460
#define sipName_event &sipStrings_QtWebEngineCore[2460]
#define sipNameNr_flags 2466
#define sipName_flags &sipStrings_QtWebEngineCore[2466]
#define sipNameNr_reply 2472
#define sipName_reply &sipStrings_QtWebEngineCore[2472]
#define sipNameNr_title 2478
#define sipName_title &sipStrings_QtWebEngineCore[2478]
#define sipNameNr_Flag 662
#define sipName_Flag &sipStrings_QtWebEngineCore[662]
#define sipNameNr_Host 2484
#define sipName_Host &sipStrings_QtWebEngineCore[2484]
#define sipNameNr_Path 2489
#define sipName_Path &sipStrings_QtWebEngineCore[2489]
#define sipNameNr_Post 2494
#define sipName_Post &sipStrings_QtWebEngineCore[2494]
#define sipNameNr_fail 2499
#define sipName_fail &sipStrings_QtWebEngineCore[2499]
#define sipNameNr_icon 1291
#define sipName_icon &sipStrings_QtWebEngineCore[1291]
#define sipNameNr_name 2504
#define sipName_name &sipStrings_QtWebEngineCore[2504]
#define sipNameNr_show 2509
#define sipName_show &sipStrings_QtWebEngineCore[2509]
#define sipNameNr_swap 2514
#define sipName_swap &sipStrings_QtWebEngineCore[2514]
#define sipNameNr_Get 2519
#define sipName_Get &sipStrings_QtWebEngineCore[2519]
#define sipNameNr_add 2523
#define sipName_add &sipStrings_QtWebEngineCore[2523]
#define sipNameNr_tag 2527
#define sipName_tag &sipStrings_QtWebEngineCore[2527]
#define sipNameNr_url 2531
#define sipName_url &sipStrings_QtWebEngineCore[2531]

#define sipMalloc                   sipAPI_QtWebEngineCore->api_malloc
#define sipFree                     sipAPI_QtWebEngineCore->api_free
#define sipBuildResult              sipAPI_QtWebEngineCore->api_build_result
#define sipCallMethod               sipAPI_QtWebEngineCore->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebEngineCore->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebEngineCore->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebEngineCore->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebEngineCore->api_parse_result
#define sipParseArgs                sipAPI_QtWebEngineCore->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebEngineCore->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebEngineCore->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtWebEngineCore->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtWebEngineCore->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtWebEngineCore->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtWebEngineCore->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtWebEngineCore->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebEngineCore->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebEngineCore->api_add_exception
#define sipNoFunction               sipAPI_QtWebEngineCore->api_no_function
#define sipNoMethod                 sipAPI_QtWebEngineCore->api_no_method
#define sipAbstractMethod           sipAPI_QtWebEngineCore->api_abstract_method
#define sipBadClass                 sipAPI_QtWebEngineCore->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebEngineCore->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebEngineCore->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebEngineCore->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebEngineCore->api_trace
#define sipTransferBack             sipAPI_QtWebEngineCore->api_transfer_back
#define sipTransferTo               sipAPI_QtWebEngineCore->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtWebEngineCore->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebEngineCore->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebEngineCore->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebEngineCore->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebEngineCore->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebEngineCore->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebEngineCore->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebEngineCore->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebEngineCore->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtWebEngineCore->api_call_hook
#define sipEndThread                sipAPI_QtWebEngineCore->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtWebEngineCore->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebEngineCore->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebEngineCore->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebEngineCore->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtWebEngineCore->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtWebEngineCore->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebEngineCore->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebEngineCore->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebEngineCore->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtWebEngineCore->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtWebEngineCore->api_convert_to_bool
#define sipReleaseType              sipAPI_QtWebEngineCore->api_release_type
#define sipConvertFromType          sipAPI_QtWebEngineCore->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebEngineCore->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebEngineCore->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebEngineCore->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebEngineCore->api_get_state
#define sipExportSymbol             sipAPI_QtWebEngineCore->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebEngineCore->api_import_symbol
#define sipFindType                 sipAPI_QtWebEngineCore->api_find_type
#define sipBytes_AsChar             sipAPI_QtWebEngineCore->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebEngineCore->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebEngineCore->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebEngineCore->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebEngineCore->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebEngineCore->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebEngineCore->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebEngineCore->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebEngineCore->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebEngineCore->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebEngineCore->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebEngineCore->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebEngineCore->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtWebEngineCore->api_deprecated
#define sipGetReference             sipAPI_QtWebEngineCore->api_get_reference
#define sipKeepReference            sipAPI_QtWebEngineCore->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebEngineCore->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebEngineCore->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebEngineCore->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebEngineCore->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebEngineCore->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebEngineCore->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtWebEngineCore->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtWebEngineCore->api_init_mixin
#define sipExportModule             sipAPI_QtWebEngineCore->api_export_module
#define sipInitModule               sipAPI_QtWebEngineCore->api_init_module
#define sipGetInterpreter           sipAPI_QtWebEngineCore->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtWebEngineCore->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebEngineCore->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebEngineCore->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebEngineCore->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebEngineCore->api_get_c_function
#define sipGetMethod                sipAPI_QtWebEngineCore->api_get_method
#define sipFromMethod               sipAPI_QtWebEngineCore->api_from_method
#define sipGetDate                  sipAPI_QtWebEngineCore->api_get_date
#define sipFromDate                 sipAPI_QtWebEngineCore->api_from_date
#define sipGetDateTime              sipAPI_QtWebEngineCore->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebEngineCore->api_from_datetime
#define sipGetTime                  sipAPI_QtWebEngineCore->api_get_time
#define sipFromTime                 sipAPI_QtWebEngineCore->api_from_time
#define sipIsUserType               sipAPI_QtWebEngineCore->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtWebEngineCore->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebEngineCore->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebEngineCore->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebEngineCore->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebEngineCore->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebEngineCore->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebEngineCore->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebEngineCore->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebEngineCore->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebEngineCore->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtWebEngineCore->api_register_event_handler
#define sipConvertToArray           sipAPI_QtWebEngineCore->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebEngineCore->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebEngineCore->api_enable_gc
#define sipPrintObject              sipAPI_QtWebEngineCore->api_print_object
#define sipLong_AsChar              sipAPI_QtWebEngineCore->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtWebEngineCore->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtWebEngineCore->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtWebEngineCore->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtWebEngineCore->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtWebEngineCore->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtWebEngineCore->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtWebEngineCore->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtWebEngineCore->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtWebEngineCore->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtWebEngineCore->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtWebEngineCore->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtWebEngineCore->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtWebEngineCore->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtWebEngineCore->api_next_exception_handler
#define sipSetNewUserTypeHandler    sipAPI_QtWebEngineCore->api_set_new_user_type_handler
#define sipGetFrame                 sipAPI_QtWebEngineCore->api_get_frame
#define sipSetDestroyOnExit         sipAPI_QtWebEngineCore->api_set_destroy_on_exit
#define sipEnableOverflowChecking   sipAPI_QtWebEngineCore->api_enable_overflow_checking
#define sipIsAPIEnabled             sipAPI_QtWebEngineCore->api_is_api_enabled
#define sipClearAnySlotReference    sipAPI_QtWebEngineCore->api_clear_any_slot_reference
#define sipConnectRx                sipAPI_QtWebEngineCore->api_connect_rx
#define sipConvertRx                sipAPI_QtWebEngineCore->api_convert_rx
#define sipDisconnectRx             sipAPI_QtWebEngineCore->api_disconnect_rx
#define sipFreeSipslot              sipAPI_QtWebEngineCore->api_free_sipslot
#define sipInvokeSlot               sipAPI_QtWebEngineCore->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtWebEngineCore->api_invoke_slot_ex
#define sipSameSlot                 sipAPI_QtWebEngineCore->api_same_slot
#define sipSaveSlot                 sipAPI_QtWebEngineCore->api_save_slot
#define sipVisitSlot                sipAPI_QtWebEngineCore->api_visit_slot
#define sipIsPyMethod               sipAPI_QtWebEngineCore->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtWebEngineCore[];

#define sipType_QWebEngineClientCertificateStore sipExportedTypes_QtWebEngineCore[4]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineClientCertificateStore;

#define sipType_QWebEngineCookieStore sipExportedTypes_QtWebEngineCore[5]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineCookieStore;

#define sipType_QWebEngineCookieStore_FilterRequest sipExportedTypes_QtWebEngineCore[6]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineCookieStore_FilterRequest;

#define sipType_QWebEngineFindTextResult sipExportedTypes_QtWebEngineCore[7]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineFindTextResult;

#define sipType_QWebEngineHttpRequest sipExportedTypes_QtWebEngineCore[8]

#define sipType_QWebEngineHttpRequest_Method sipExportedTypes_QtWebEngineCore[9]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineHttpRequest;

#define sipType_QWebEngineNotification sipExportedTypes_QtWebEngineCore[10]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineNotification;

#define sipType_QWebEngineQuotaRequest sipExportedTypes_QtWebEngineCore[11]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineQuotaRequest;

#define sipType_QWebEngineRegisterProtocolHandlerRequest sipExportedTypes_QtWebEngineCore[12]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineRegisterProtocolHandlerRequest;

#define sipType_QWebEngineUrlRequestInfo sipExportedTypes_QtWebEngineCore[13]

#define sipType_QWebEngineUrlRequestInfo_NavigationType sipExportedTypes_QtWebEngineCore[14]

#define sipType_QWebEngineUrlRequestInfo_ResourceType sipExportedTypes_QtWebEngineCore[15]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlRequestInfo;

#define sipType_QWebEngineUrlRequestInterceptor sipExportedTypes_QtWebEngineCore[16]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlRequestInterceptor;

#define sipType_QWebEngineUrlRequestJob sipExportedTypes_QtWebEngineCore[17]

#define sipType_QWebEngineUrlRequestJob_Error sipExportedTypes_QtWebEngineCore[18]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlRequestJob;

#define sipType_QWebEngineUrlScheme sipExportedTypes_QtWebEngineCore[19]

#define sipType_QWebEngineUrlScheme_Flag sipExportedTypes_QtWebEngineCore[20]

#define sipType_QWebEngineUrlScheme_SpecialPort sipExportedTypes_QtWebEngineCore[22]

#define sipType_QWebEngineUrlScheme_Syntax sipExportedTypes_QtWebEngineCore[23]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlScheme;

#define sipType_QWebEngineUrlScheme_Flags sipExportedTypes_QtWebEngineCore[21]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlScheme_Flags;

#define sipType_QWebEngineUrlSchemeHandler sipExportedTypes_QtWebEngineCore[24]

extern sipClassTypeDef sipTypeDef_QtWebEngineCore_QWebEngineUrlSchemeHandler;

#define sipType_QMap_0100QByteArray_0100QByteArray sipExportedTypes_QtWebEngineCore[0]

extern sipMappedTypeDef sipTypeDef_QtWebEngineCore_QMap_0100QByteArray_0100QByteArray;

#define sipType_QVector_0100QByteArray sipExportedTypes_QtWebEngineCore[2]

extern sipMappedTypeDef sipTypeDef_QtWebEngineCore_QVector_0100QByteArray;

#define sipType_QMap_0100QString_0100QString sipExportedTypes_QtWebEngineCore[1]

extern sipMappedTypeDef sipTypeDef_QtWebEngineCore_QMap_0100QString_0100QString;

#define sipType_QVector_0100QSslCertificate sipExportedTypes_QtWebEngineCore[3]

extern sipMappedTypeDef sipTypeDef_QtWebEngineCore_QVector_0100QSslCertificate;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebEngineCore;
extern sipExportedModuleDef sipModuleAPI_QtWebEngineCore;
extern sipTypeDef *sipExportedTypes_QtWebEngineCore[];

#define sipType_Qt_LayoutDirection sipImportedTypes_QtWebEngineCore_QtCore[9].it_td

#define sipType_QObject sipImportedTypes_QtWebEngineCore_QtCore[5].it_td

#define sipType_QIODevice sipImportedTypes_QtWebEngineCore_QtCore[3].it_td

#define sipType_QByteArray sipImportedTypes_QtWebEngineCore_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtWebEngineCore_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtWebEngineCore_QtCore[7].it_td

#define sipType_QChildEvent sipImportedTypes_QtWebEngineCore_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtWebEngineCore_QtCore[4].it_td

#define sipType_QUrl sipImportedTypes_QtWebEngineCore_QtCore[8].it_td

#define sipType_QString sipImportedTypes_QtWebEngineCore_QtCore[6].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineCore_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebEngineCore_QtCore[];

#define sipType_QNetworkCookie sipImportedTypes_QtWebEngineCore_QtNetwork[0].it_td

#define sipType_QSslCertificate sipImportedTypes_QtWebEngineCore_QtNetwork[1].it_td

#define sipType_QSslKey sipImportedTypes_QtWebEngineCore_QtNetwork[2].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineCore_QtNetwork[];

#define sipType_QImage sipImportedTypes_QtWebEngineCore_QtGui[0].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineCore_QtGui[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebEngineCore_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtWebEngineCore_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebEngineCore_qt_metacast;
#line 147 "/builddir/build/BUILD/PyQtWebEngine-5.15.6/sip/QtWebEngineCore/qwebenginecookiestore.sip"
// Imports from QtCore.
typedef void (*pyqt5_qtwebenginecore_err_print_t)();
extern pyqt5_qtwebenginecore_err_print_t pyqt5_qtwebenginecore_err_print;
#line 701 "/builddir/build/BUILD/PyQtWebEngine-5.15.6/build/QtWebEngineCore/sipAPIQtWebEngineCore.h"

#endif
